Skip to navigation

Delete a customer unit alias

Deletes an alias of this unit. Signals still sent with it then resolve to nothing again. Use the value returned as customer.id, for example cus_abc123; if you have your own customer ID, use the /api/v2/customers/external/{externalId}/… twin.

Authentication

AuthorizationBearer
API Key authentication using Bearer token

Path parameters

idstringRequiredformat: "^cus_.+"
Paid customer display id
externalCustomerUnitIdstringRequired>=1 character

Your own id for the unit (its externalId), unique within this customer.

aliasstringRequired>=1 character
The alias, as created.

Response

200

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error